Package com.atlassian.jira.rest.api.util
Class ExpandParameterParser<T extends Enum<T>>
java.lang.Object
com.atlassian.jira.rest.api.util.ExpandParameterParser<T>
- Direct Known Subclasses:
NotificationSchemeBeanFactoryImpl,PermissionGrantBeanExpanderImpl
Abstract class that provides parsing of expand query parameters.
- Since:
- v6.5
-
Constructor Summary
ConstructorsModifierConstructorDescriptionprotectedExpandParameterParser(I18nHelper i18n, Class<T> enumClass) -
Method Summary
Modifier and TypeMethodDescriptionio.atlassian.fugue.Either<ErrorCollection, List<T>> parseExpandQuery(String expandQueryParameter) parses a query parameter and returns either an error collection in case of failure or a list of parsed elements.
-
Constructor Details
-
ExpandParameterParser
-
-
Method Details
-
parseExpandQuery
public io.atlassian.fugue.Either<ErrorCollection,List<T>> parseExpandQuery(@Nullable String expandQueryParameter) parses a query parameter and returns either an error collection in case of failure or a list of parsed elements.- Parameters:
expandQueryParameter- query parameter, may be null- Returns:
- either error collection or list of
Telements
-